Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingDestroy

Destroys a mapping between a local (0 to n) ordering and a global parallel ordering.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingDestroy(ISLocalToGlobalMapping *mapping)

Not Collective

## Input Parameter

- mapping - mapping data structure

## See Also

Low-level Vector Communication, `ISLocalToGlobalMapping`, `ISLocalToGlobalMappingCreate()`

## Level

advanced

## Location

src/vec/is/utils/isltog.c

## Examples

src/ksp/ksp/tutorials/ex59.c
src/mat/tutorials/ex3.c
src/vec/vec/tutorials/ex8f.F90
src/vec/is/is/tutorials/ex4.c
src/vec/vec/tutorials/ex8.c
src/ksp/ksp/tutorials/ex71.c
src/vec/is/is/tutorials/ex5.c
src/ksp/ksp/tutorials/ex85.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages